=== release 1.12.4 ===

2017-12-07  Sebastian Dröge <slomo@coaxion.net>

	* configure.ac:
	  releasing 1.12.4

2017-12-07 19:03:58 +0200  Sebastian Dröge <sebastian@centricular.com>

	* po/el.po:
	* po/nl.po:
	  po: Update translations

2017-12-07 11:15:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	* gst/audioparsers/gstflacparse.h:
	  Revert "flacparse: fix header rewriting being ignored"
	  This caused broken metadata and also looks a bit dodgy.
	  Revert until we can figure out a solution that works for
	  all cases and doesn't break anything.
	  This reverts commit adeee44b07a173b9ab4253216caba8f66dd43abb.
	  https://bugzilla.gnome.org/show_bug.cgi?id=727802
	  https://bugzilla.gnome.org/show_bug.cgi?id=785558

2017-08-25 11:57:26 +0200  Haakon Sporsheim <haakon@pexip.com>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: Handle zero length feedback packets
	  https://bugzilla.gnome.org/show_bug.cgi?id=791074

2017-07-10 15:19:34 +0200  Florian Zwoch <fzwoch@gmail.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: fix debug log for 'hvcC' codec_data
	  https://bugzilla.gnome.org/show_bug.cgi?id=784749

2017-11-23 07:59:07 +0100  Edward Hervey <edward@centricular.com>

	* gst/replaygain/rganalysis.c:
	  rganalysis: Fix left shift of signed values
	  left shifting signed values is undefined.
	  Instead of doing "x << offs" which is undefined, do the equivalent
	  "x * (1 << offs)" which is well defined

2017-11-24 10:36:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audioparsers/gstflacparse.c:
	  flacparse: Request at least the full header size when parsing headers
	  Otherwise baseparse will incrementally send us bigger buffers until the
	  full header size is reached, which is not only pointless but also means
	  that baseparse will reallocate and copy into a bigger buffer for every
	  input buffers. In pull mode that's done in 64kb increments, in push mode
	  usually in much smaller increments, causing a lot of overhead for
	  example when parsing high-quality coverart.

2017-10-22 18:26:12 +0800  Jun Xie <jun.xie@samsung.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: reset reused QtDemuxStream while parsing a new 'trak'
	  if QtDemuxStream is reused, then we need to reset it.
	  https://bugzilla.gnome.org/show_bug.cgi?id=788759

2017-11-18 02:01:58 +1100  Jan Schmidt <jan@centricular.com>

	* gst/multifile/gstsplitmuxpartreader.c:
	  splitmuxsrc: Don't return FALSE from event handling.
	  Returning FALSE because we drop an event means that
	  internal sources like qtdemux might throw an error
	  and break the whole pipeline. The only time it can
	  happen is either flushing or shutdown, and those
	  will be handled anyway.

2017-03-13 18:14:12 +0900  paul.kim <paul.hyunil@lge.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Remove range header when seek to 0
	  This fixes the previous range header is remained if seek to 0 is
	  attempted.
	  https://bugzilla.gnome.org/show_bug.cgi?id=779957

2017-06-20 16:28:35 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/files/test-cert.pem:
	  tests: souphttpsrc: Update test-cert.pem
	  Recent GnuTLS disregards the Common Name and only looks at the Subject
	  Alternative Name extension. Since our test-cert has no SAN extension,
	  validation fails.
	  Generate a new certificate with SAN. In addition to 127.0.0.1, for good
	  measure make it valid for localhost and ::1, too.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784005

2017-06-20 16:39:36 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: souphttpsrc: Avoid deprecated ssl-ca-file property
	  SoupSession's ssl-ca-file property is deprecated. Use the recommended
	  tls-database property.
	  This is a bit more complex as it requires creating a GTlsFileDatabase
	  object for an absolute (!) path to the CA certificates file.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784005

2017-06-20 16:37:55 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: souphttpsrc: Avoid deprecated server ssl properties
	  The ssl-cert-file and ssl-key-file properties are deprecated. Use the
	  soup_server_set_ssl_cert_file function to load the files.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784005

2017-06-20 16:34:41 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* tests/check/elements/souphttpsrc.c:
	  tests: souphttpsrc: Make ssl_cert/key_file static
	  Just a bit of cleanup.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784005

2017-11-08 16:34:01 +0100  Edward Hervey <edward@centricular.com>

	* ext/soup/gstsouphttpsrc.c:
	  souphttpsrc: Fix seeking back to 0
	  This is a regression introduced by "03db374 - souphttpsrc: retry
	  request on early termination from the server"
	  The problem was that when seeking back to 0, we would not end up calling
	  add_range_header() which in addition to adding range headers *ALSO* sets
	  the read_position to the requested one.
	  This would result in a wide variety of later failures, like reading
	  again and again instead of stopping properly.

2017-11-06 21:13:34 +0100  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* sys/v4l2/gstv4l2deviceprovider.c:
	  v4l2deviceprovider: Add missing V4L2_CAP_TOUCH
	  This define was only added in Linux 4.8. This commit is for the stable
	  branch only, since we want to avoid bumping the v4l headers in fear of
	  regressions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=789197

2017-10-19 14:02:37 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* sys/v4l2/gstv4l2deviceprovider.c:
	  v4l2deviceprovider: Ignore touch sensing devices
	  With GST_V4L2_USE_LIBV4L2=1, my laptop's touchpad shows up as a video
	  source device in gst-device-monitor, but attempting to stream from it
	  fails because the device doesn't actually support any video formats.
	  name  : Synaptics RMI4 Touch Sensor
	  class : Video/Source
	  caps  : video/x-raw, format=(string)I420, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)0, height=(int)0, interlace-mode=(string)progressive, pixel-aspect-ratio=(fraction)1/1;
	  video/x-raw, format=(string)YV12, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)0, height=(int)0, interlace-mode=(string)progressive, pixel-aspect-ratio=(fraction)1/1;
	  video/x-raw, format=(string)BGR, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)0, height=(int)0, interlace-mode=(string)progressive, pixel-aspect-ratio=(fraction)1/1;
	  video/x-raw, format=(string)RGB, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)0, height=(int)0, interlace-mode=(string)progressive, pixel-aspect-ratio=(fraction)1/1;
	  properties:
	  udev-probed = true
	  device.bus_path = /sys/devices/rmi4-00/rmi4-00.fn54/video4linux/v4l-touch0
	  sysfs.path = /sys/devices/rmi4-00/rmi4-00.fn54/video4linux/v4l-touch0
	  device.subsystem = video4linux
	  device.product.name = "Synaptics\ RMI4\ Touch\ Sensor"
	  device.capabilities = :capture:
	  device.api = v4l2
	  device.path = /dev/v4l-touch0
	  v4l2.device.driver = rmi4_f54
	  v4l2.device.card = "Synaptics\ RMI4\ Touch\ Sensor"
	  v4l2.device.bus_info = rmi4:rmi4-00.fn54
	  v4l2.device.version = 265480 (0x00040d08)
	  v4l2.device.capabilities = 2501902337 (0x95200001)
	  v4l2.device.device_caps = 354418689 (0x15200001)
	  gst-launch-1.0 v4l2src device=/dev/v4l-touch0 ! ...
	  v4l2-ctl -d /dev/v4l-touch0 --list-formats reports:
	  ioctl: VIDIOC_ENUM_FMT
	  Index       : 0
	  Type        : Video Capture
	  Pixel Format: 'TD16'
	  Name        : 16-bit signed deltas
	  Index       : 1
	  Type        : Video Capture
	  Pixel Format: 'TD08'
	  Name        : 8-bit signed deltas
	  Index       : 2
	  Type        : Video Capture
	  Pixel Format: 'TU16'
	  Name        : 16-bit unsigned touch data
	  https://bugzilla.gnome.org/show_bug.cgi?id=789197

2017-09-23 15:41:30 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Ignore invalid H.264 codec data
	  This code basically skip over codec_data with empty payload. In
	  this case, the codec_data variable is the size of the header for
	  the CODEC part of Video Tag. The remaining is supposed to be the
	  H.264 codec data, hence should not be empty.
	  https://bugzilla.gnome.org/show_bug.cgi?id=787795

2017-09-24 14:35:01 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Only set pixel-aspect-ratio if specified
	  If it's not specified, we should let the decoder figure it out.
	  Apparently the code was already in place, all was to make the code
	  conditional.
	  https://bugzilla.gnome.org/show_bug.cgi?id=787795

2017-09-23 15:44:09 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Don't pull passed the EOS
	  When a truncated FLV is provided and processed in pull mode, we
	  may endup trying to pull passed EOS, causing a rather confusing
	  warning as the pull offset is an integer overflow.
	  https://bugzilla.gnome.org/show_bug.cgi?id=787795

2017-09-23 15:38:07 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/flv/gstflvdemux.c:
	  flvdemux: Avoid integer overflow on invalid CTS
	  If the CTS is negative an would lead to a negtive PTS, clip
	  the CTS so the PTS will be 0.
	  https://bugzilla.gnome.org/show_bug.cgi?id=787795

2017-10-01 16:09:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Ignore medias marked as sendonly
	  We're never going to receive anything from them, so don't create pads
	  for them. These medias are destinations where *we* could send something.

=== release 1.12.3 ===

2017-09-18 17:47:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.12.3

2017-09-18 16:10:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2017-09-18 16:01:18 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/cs.po:
	* po/el.po:
	  po: Update translations

2017-09-13 11:52:09 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Don't leak the par value

2017-09-05 15:30:40 +0100  Ian Jamison <ian.dev@arkver.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Handle BT2020 for colorspace and transfer
	  This was not fully handled in switches and
	  ub gst_v4l2_object_get_colorspace();
	  https://bugzilla.gnome.org/show_bug.cgi?id=787313

2017-09-05 15:29:24 +0100  Ian Jamison <ian.dev@arkver.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2object: Fix colorimetry transfer lookup for 4K video
	  https://bugzilla.gnome.org/show_bug.cgi?id=787160

2017-09-05 12:56:44 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph265depay.c:
	  rtph265depay: fix keyunit detection
	  https://bugzilla.gnome.org/show_bug.cgi?id=787254

2017-08-24 17:06:38 +1000  Matthew Waters <matthew@centricular.com>

	* gst/rtpmanager/gstrtpbin.c:
	  rtpbin: also create session when creating the send_rtcp_src_%u pad
	  If one requests the send_rtcp_src_%u pad before a recv_rtcp_sink_%u pad,
	  the session/pad would never be created and NULL was returned.
	  Switching the request order would work.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786718

2017-08-17 12:13:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* README:
	* common:
	  Automatic update of common submodule
	  From 48a5d85 to dd9d403

2017-08-14 03:08:41 -0500  Eduard Sinelnikov <eduard@reporty.com>

	* gst/wavparse/gstwavparse.c:
	* gst/wavparse/gstwavparse.h:
	  wavparse: Add support for growing WAV files
	  With some fixes by me.

2017-07-27 17:21:48 +0300  George Kiagiadakis <george.kiagiadakis@collabora.com>

	* ext/vpx/gstvpxenc.c:
	  vpxenc: discard frames that have been dropped by libvpx
	  This fixes a memory leak. When dropframe-threshold has been set,
	  libvpx may output less frames than the input ones, which causes
	  some GstVideoCodecFrames to queue up in GstVideoEncoder's internal
	  frame queue with no chance of ever being all released. And because
	  the frames keep references to the input buffers, the input buffer
	  pool keeps allocating new buffers and memory usage grows very fast.
	  For example the following pipeline's memory usage grows at a rate
	  of about 1GB per minute!
	  videotestsrc ! capsfilter caps=video/x-raw,width=1920,height=1080,framerate=30/1,format=I420 ! \
	  vp8enc target-bitrate=1000000 end-usage=cbr dropframe-threshold=95 ! fakesink
	  https://bugzilla.gnome.org/show_bug.cgi?id=783086

2017-08-08 13:11:58 +0200  Mathieu Duponchelle <mathieu.duponchelle@opencreed.com>

	* gst/rtpmanager/rtpstats.c:
	* gst/rtpmanager/rtpstats.h:
	  rtpstats: fix unsigned integer comparisons.
	  Callers of the API (rtpsource, rtpjitterbuffer) pass clock_rate
	  as a signed integer, and the comparison "<= 0" is used against
	  it, leading me to think the intention was to have the field
	  be typed as gint32, not guint32.
	  This led to situations where we could call scale_int with
	  a MAX_UINT32 (-1) guint32 as the denom, thus raising an
	  assertion.
	  https://bugzilla.gnome.org/show_bug.cgi?id=785991

2017-03-22 15:25:17 +0100  Michael Olbrich <m.olbrich@pengutronix.de>

	* gst/isomp4/qtdemux.c:
	  qtdemux: allow larger files
	  For really long files such as contiguous recordings of a whole day, the
	  50MB limit is not sufficient.
	  https://bugzilla.gnome.org/show_bug.cgi?id=781458

2017-08-14 15:28:22 +0800  Sky Juan <skyjuan@realtek.com>

	* gst/audioparsers/gstac3parse.c:
	  ac3parse: fix not-linked handling causing glitches when selecting stream
	  Fix chain function not handling not-linked from baseparse.
	  When an input data is separated into 2 buffers, the second buffer
	  would not be pushed into the adapter if baseparse returns not-linked
	  for first buffer.
	  This caused glitches when switching streams and selecting
	  a stream that was previously unselected.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786268

2017-08-16 13:57:50 +0200  Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

	* gst/goom2k1/filters.c:
	* gst/goom2k1/filters.h:
	* gst/goom2k1/goom_core.c:
	  goom2k1: Convert source files to UTF-8
	  Causes problems with the new gtk-doc 1.26 otherwise,
	  but is a good idea in any case.
	  https://bugzilla.gnome.org/show_bug.cgi?id=786364

2017-08-10 16:08:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/fourcc.h:
	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix offsets for reading lpcm specific fields
	  We were reading at the completely wrong positions, 16 bytes later in the
	  data.
	  Also add support for high-aligned samples.

2017-08-10 15:14:31 +0530  Deepak Srivastava <srivastava.d@samsung.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Fix memory leak in wavparse element
	  Fixing of leaking the text field of the GstWavParseNote and
	  GstWavParseLabl structure.
	  https://bugzilla.gnome.org/show_bug.cgi?id=785429

2017-07-27 09:22:25 +0530  Satya Prakash Gupta <sp.gupta@samsung.com>

	* gst/law/alaw-decode.c:
	  alawdec: Fix Memory leak in error case
	  https://bugzilla.gnome.org/show_bug.cgi?id=785435

2017-07-27 14:21:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/law/mulaw-decode.c:
	  mulawdec: Unmap input buffer if failing to map the output buffer

2017-07-18 10:41:40 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/matroska/matroska-mux.c:
	  matroskamux: For audio tracks, take the default duration from the first buffer
	  ... if we don't have any better idea from the caps. This allows writing
	  SimpleBlocks for a majority of audio streams where the duration of
	  frames is usually fixed. And as a side effect, allows VLC to play
	  streams with Opus as it only works with SimpleBlocks currently:
	  https://trac.videolan.org/vlc/ticket/18545
	  https://bugzilla.gnome.org/show_bug.cgi?id=784969

2017-08-08 10:37:12 +0000  Cyril Lashkevich <notorca@gmail.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2bufferpool: Don't mark jpeg frames as deltas
	  JPEG formats are encoded, but they never have keyframe flag. But in
	  fact they are keyframes
	  https://bugzilla.gnome.org/show_bug.cgi?id=785990

2017-06-27 15:59:18 +0100  Julien Isorce <jisorce@oblong.com>

	* gst/rtpmanager/rtpstats.h:
	  rtpstats: fix assertion 'denom > 0' failed
	  gst_util_uint64_scale_int takes a gint as denom parameter
	  whereas ctx->clock_rate is a guint32.
	  It happens when gst_rtp_packet_rate_ctx_reset set clock_rate
	  to -1.
	  So just define clock_rate as gint like it is done in rtpsource.h
	  https://bugzilla.gnome.org/show_bug.cgi?id=784250

2017-07-18 00:26:11 +0200  Nicola Murino <nicola.murino@gmail.com>

	* gst/matroska/matroska-mux.c:
	* gst/matroska/matroska-mux.h:
	  matroskamux: add properties to control cluster duration
	  https://bugzilla.gnome.org/show_bug.cgi?id=784971

2017-07-18 10:01:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* tests/check/elements/matroskamux.c:
	  Revert "matroskamux: adjust unit test to modified behaviour"
	  This reverts commit 8fe478c8a7746cd2c63f20d23e97e26e1a0e6192.
	  We're back to previous behaviour

2017-06-28 14:05:27 -0500  Matt Fischer <matt.fischer@garmin.com>

	* sys/v4l2/gstv4l2bufferpool.c:
	  v4l2: Block recursive calls to resurect_buffer
	  When resurrecting a buffer, the subsequent free call can result
	  in the group-released handler being called again, which causes
	  a recursive loop.  This patch blocks the signal handler during
	  the time that it executes, ensuring that the loop will not occur.
	  https://bugzilla.gnome.org/show_bug.cgi?id=759292

2017-07-18 11:28:37 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/gstv4l2object.c:
	  v4l2: Fix 4K colorimetry
	  Since 1.6, the transfer function for BT2020 has been changed from BT709
	  to BT2020_12. It's the same function, but with more precision. As a side
	  effect, the V4L2 colorpsace didn't match GStreamer colorspace. When
	  GStreamer ended up making a guess, it would not match anything supported
	  by V4L2 anymore. This this by using BT2020_12 for BT2020 colorspace and
	  BT2020 transfer function in replacement of BT709 whenever a 4K
	  resolution is detected.

2017-07-17 20:47:26 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2/v4l2_calls.c:
	  v4l2: UVC driver is named uvcvideo these days
	  The quirk to avoid probing interlacing didn't work anymore as the driver
	  is now name uvcvideo. This should slightly speed up camera startup.

=== release 1.12.2 ===

2017-07-14 14:03:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.12.2

2017-07-14 13:31:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2017-07-14 13:22:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/el.po:
	  po: Update translations

2017-07-13 12:47:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/qtdemux.c:
	  qtdemux: Fix parsing of RLE depth
	  Regression introduced by 86b427dc70562f891a551ffc9f96cefe1cafcddd
	  https://bugzilla.gnome.org/show_bug.cgi?id=784812

2017-05-20 17:09:52 +0200  Josep Torra <jtorra@oblong.com>

	* sys/osxaudio/gstosxcoreaudio.c:
	  osxaudio: fixes playback of mono streams with no channel-mask field in caps
	  Fixes a negotiation error seen when trying to playback of a .MOV file with
	  a mono AAC audio stream decoded by avcdec_aac that doesn't set channel-mask
	  field but sink was requiring channel-mask=0x3.

2017-07-07 21:15:57 +0900  Yasushi SHOJI <yashi@atmark-techno.com>

	* gst/rtp/gstrtpgsmpay.c:
	  rtpgsmpay: fix accidental garbage data before actual payload
	  Do not allocate payload size outbuf if appending payload buffer.
	  The commit 137672ff1824948bda4b1b1967de8c24a0055b67 attached payload
	  to the output buffer but forgot to remove payload allocation.  That
	  effectively doubled payload size and add zero'ed or random bytes.
	  Makes the following pipeline work again:
	  gst-launch-1.0 -v audiotestsrc wave=2 ! gsmenc ! rtpgsmpay ! rtpgsmdepay ! gsmdec ! autoaudiosink
	  https://bugzilla.gnome.org/show_bug.cgi?id=784616

2017-07-03 11:47:13 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/rtpmanager/gstrtprtxreceive.c:
	  rtprtxreceive: Add memory and boundary checks
	  This element was not checking if mapping the RTP buffer and the payload
	  worked, and was not checking if the RTX payload was large enough.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784484

2017-07-03 20:27:29 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/imagefreeze/gstimagefreeze.c:
	  imagefreeze: fix use-after-free on seek event
	  Get seqnum before unreffing the seek event.
	  https://bugzilla.gnome.org/show_bug.cgi?id=784486

2017-06-29 18:59:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Create send/recv mutexes once, not on every connect()
	  Also fixes a crash caused by freeing an uninitialized mutex in an error
	  case.
	  https://bugzilla.gnome.org//show_bug.cgi?id=784282

2017-06-22 11:38:56 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	  rtspsrc: Actually use the receive lock when receiving, not the send lock

=== release 1.12.1 ===

2017-06-20 12:06:22 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-good-plugins.args:
	* docs/plugins/inspect/plugin-1394.xml:
	* docs/plugins/inspect/plugin-aasink.xml:
	* docs/plugins/inspect/plugin-alaw.xml:
	* docs/plugins/inspect/plugin-alpha.xml:
	* docs/plugins/inspect/plugin-alphacolor.xml:
	* docs/plugins/inspect/plugin-apetag.xml:
	* docs/plugins/inspect/plugin-audiofx.xml:
	* docs/plugins/inspect/plugin-audioparsers.xml:
	* docs/plugins/inspect/plugin-auparse.xml:
	* docs/plugins/inspect/plugin-autodetect.xml:
	* docs/plugins/inspect/plugin-avi.xml:
	* docs/plugins/inspect/plugin-cacasink.xml:
	* docs/plugins/inspect/plugin-cairo.xml:
	* docs/plugins/inspect/plugin-cutter.xml:
	* docs/plugins/inspect/plugin-debug.xml:
	* docs/plugins/inspect/plugin-deinterlace.xml:
	* docs/plugins/inspect/plugin-dtmf.xml:
	* docs/plugins/inspect/plugin-dv.xml:
	* docs/plugins/inspect/plugin-effectv.xml:
	* docs/plugins/inspect/plugin-equalizer.xml:
	* docs/plugins/inspect/plugin-flac.xml:
	* docs/plugins/inspect/plugin-flv.xml:
	* docs/plugins/inspect/plugin-flxdec.xml:
	* docs/plugins/inspect/plugin-gdkpixbuf.xml:
	* docs/plugins/inspect/plugin-goom.xml:
	* docs/plugins/inspect/plugin-goom2k1.xml:
	* docs/plugins/inspect/plugin-icydemux.xml:
	* docs/plugins/inspect/plugin-id3demux.xml:
	* docs/plugins/inspect/plugin-imagefreeze.xml:
	* docs/plugins/inspect/plugin-interleave.xml:
	* docs/plugins/inspect/plugin-isomp4.xml:
	* docs/plugins/inspect/plugin-jack.xml:
	* docs/plugins/inspect/plugin-jpeg.xml:
	* docs/plugins/inspect/plugin-level.xml:
	* docs/plugins/inspect/plugin-matroska.xml:
	* docs/plugins/inspect/plugin-mulaw.xml:
	* docs/plugins/inspect/plugin-multifile.xml:
	* docs/plugins/inspect/plugin-multipart.xml:
	* docs/plugins/inspect/plugin-navigationtest.xml:
	* docs/plugins/inspect/plugin-oss4.xml:
	* docs/plugins/inspect/plugin-ossaudio.xml:
	* docs/plugins/inspect/plugin-png.xml:
	* docs/plugins/inspect/plugin-pulseaudio.xml:
	* docs/plugins/inspect/plugin-replaygain.xml:
	* docs/plugins/inspect/plugin-rtp.xml:
	* docs/plugins/inspect/plugin-rtpmanager.xml:
	* docs/plugins/inspect/plugin-rtsp.xml:
	* docs/plugins/inspect/plugin-shapewipe.xml:
	* docs/plugins/inspect/plugin-shout2.xml:
	* docs/plugins/inspect/plugin-smpte.xml:
	* docs/plugins/inspect/plugin-soup.xml:
	* docs/plugins/inspect/plugin-spectrum.xml:
	* docs/plugins/inspect/plugin-speex.xml:
	* docs/plugins/inspect/plugin-taglib.xml:
	* docs/plugins/inspect/plugin-udp.xml:
	* docs/plugins/inspect/plugin-video4linux2.xml:
	* docs/plugins/inspect/plugin-videobox.xml:
	* docs/plugins/inspect/plugin-videocrop.xml:
	* docs/plugins/inspect/plugin-videofilter.xml:
	* docs/plugins/inspect/plugin-videomixer.xml:
	* docs/plugins/inspect/plugin-vpx.xml:
	* docs/plugins/inspect/plugin-wavenc.xml:
	* docs/plugins/inspect/plugin-wavpack.xml:
	* docs/plugins/inspect/plugin-wavparse.xml:
	* docs/plugins/inspect/plugin-ximagesrc.xml:
	* docs/plugins/inspect/plugin-y4menc.xml:
	* gst-plugins-good.doap:
	* meson.build:
	  Release 1.12.1

2017-06-20 11:20:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/fur.po:
	* po/gl.po:
	* po/hr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* po/zh_HK.po:
	* po/zh_TW.po:
	  Update .po files

2017-06-20 11:08:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* po/bg.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/fr.po:
	* po/hr.po:
	* po/hu.po:
	* po/nb.po:
	* po/pl.po:
	* po/ru.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: Update translations

2017-06-13 17:40:19 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/multifile/gstsplitmuxsink.c:
	  splitmux: Drop allocation queries
	  They can cause us to deadlock, while we're waiting for a new frame and
	  upstream is waiting for the allocation query to be answered before
	  sending a frame
	  https://bugzilla.gnome.org/show_bug.cgi?id=783753

2017-06-15 10:40:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/rtsp/gstrtspsrc.c:
	* gst/rtsp/gstrtspsrc.h:
	  rtspsrc: Use a mutex for protecting against concurrent send/receives
	  We currently send data to the RTSP connection from multiple threads:
	  whenever a command is to be handled and whenever RTCP is generated. This
	  can cause data corruption or worse if both happen at the same time.
	  As such, protect gst_rtsp_connection_send() and gst_rtsp_connection_receive()
	  calls with a mutex. While this means that we hold a mutex during the IO
	  operation, this is not actually a problem as the IO operation can be
	  interrupted (gst_rtsp_connection_flush()) at any time and is blocking by
	  itself anyway.

2017-06-15 11:50:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/atoms.c:
	  qtmux: Un-merge the last two stsc entries after serializing
	  The last entry will most likely get new samples added to it in "robust"
	  muxing mode, changing the samples_per_chunk and thus making it wrong to
	  keep the last two entries merged. It will run into an assertion later
	  when adding a new sample to the chunk.
	  Thanks to gdiener@cardinalpeak.com for the analysis of the bug and
	  proposal for a solution.

2017-06-14 00:09:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/wavparse/gstwavparse.c:
	  wavparse: Actually clip to upstream size instead of size of the data chunk
	  There might be other chunks after the data chunk, so clipping the chunk
	  size with the data size can lead to a negative number and all following
	  calculations go wrong and cause crashes or worse.
	  This was introduced in 3ac119bbe2c360e28c087cf3852ea769d611b120.
	  https://bugzilla.gnome.org/show_bug.cgi?id=783760

2017-05-30 22:23:10 +0200  Juan Navarro <juan.navarro@gmx.es>

	* gst/rtpmanager/rtpsession.c:
	  rtpsession: print value of unknown RTCP Payload Type
	  This adds printing the actual value of any unknown RTCP PT
	  to the already existing WARNING log message.
	  https://bugzilla.gnome.org/show_bug.cgi?id=783248

2017-06-02 11:30:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst/rtp/gstrtph265depay.c:
	  rtph265depay: fix caps leak

2017-05-24 11:33:05 +0530  vijay <vijay.palaniswamy@in.bosch.com>

	* gst/audioparsers/gstaacparse.c:
	  aacparse : Fix, Caps were not set while reusing aacparse
	  While reusing aacparse caps were not set.This fix enables aacparse to reuse in same pipeline.
	  https://bugzilla.gnome.org/show_bug.cgi?id=783027

2017-05-16 12:56:15 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Do not check timecode data for mp4 container
	  Timecode trak is only supported for mov right now, not for mp4. That
	  code would otherwise create an invalid trak if the muxed video contained
	  timecode metadata.
	  https://bugzilla.gnome.org/show_bug.cgi?id=782684

2017-05-10 15:58:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/isomp4/gstqtmux.c:
	  qtmux: Lateness is in QT timescale, diff in GstClockTime
	  Print the right one in debug output to get meaningful numbers.

2017-05-09 11:41:25 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/vpx/gstvpxdec.c:
	  vpxdec: Set fb->priv to NULL after freeing just in case
	  https://bugzilla.gnome.org/show_bug.cgi?id=782359

2017-05-08 15:22:00 +0000  Dustin Spicuzza <dustin@virtualroadside.com>

	* sys/directsound/gstdirectsoundsink.c:
	* sys/directsound/gstdirectsoundsink.h:
	  directsoundsink: Use GstClock API instead of Sleep() for waiting
	  It's more accurate and allows cancellation.
	  https://bugzilla.gnome.org/show_bug.cgi?id=773681

2017-05-08 15:05:45 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/vpx/gstvp9dec.c:
	  vpx: fix build against older libvpx versions
	  Such as 1.3.0 as on raspbian.

2017-05-03 23:23:10 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/directsound/gstdirectsoundsink.c:
	  directsoundsink: Fix corner case causing large CPU usage
	  We were unnecessarily looping/goto-ing repeatedly when we had exactly
